# Chapter 5.3 prediction and conficence bands
#--------------------------------------------------
# Laden der Datenpackagew ISwR unD DAAG aus R
rm(list=ls())
library(ISwR)
library(DAAG)
print("")
print(" prediction and conficence bands:")
print(" ---------------------------------------------------------------")
#
options(na.action=na.exclude)
data(thuesen)
attach(thuesen)
print(str(thuesen))
#
a <- lm(short.velocity~blood.glucose)
print("fitted values:")
print(fitted(a))
print("residuals:")
print(resid(a))
#
print("prediction:")
b <- predict(a,int="c")
print(b)
pause()
#
pred.frame <- data.frame(blood.glucose=4:20)
pp <- predict(a,int="p",newdata=pred.frame)
pc <- predict(a,int="c",newdata=pred.frame)
plot(blood.glucose,short.velocity,ylim=range(short.velocity,pp,na.rm=T),pch=15)
pred.gluc <- pred.frame$blood.glucose
matlines(pred.gluc,pc,lty=c(1,2,2),col="red",lwd=c(2,3,3))
matlines(pred.gluc,pp,lty=c(1,10,10),col=c("blue","black","black"),lwd=c(2,4,4))
#
print(" ")
print("--------------------------  Ende -------------------------------")
print(" ")
# Ende
